Bug 43978 - clean-up scripts for the exam mode do not clean the "exam mode group" (master and schoolslave)
clean-up scripts for the exam mode do not clean the "exam mode group" (master...
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Exam mode
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.2 v4
Assigned To: Daniel Tröder
Florian Best
:
Depends on:
Blocks: 44157
  Show dependency treegraph
 
Reported: 2017-03-20 12:03 CET by Jens Thorp-Hansen
Modified: 2017-10-16 21:34 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.229
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2017032021000298
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Thorp-Hansen univentionstaff 2017-03-20 12:03:59 CET
clean up scripts for the exam mode do not clean up the "exam mode group" both on the master and school slaves. The clients have to be removed manually.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2017-03-23 10:35:31 CET
The users are removed correctly from the exam group but the computer accounts are still left within the exam group.
Comment 2 Daniel Tröder univentionstaff 2017-09-13 18:30:38 CEST
Added --skip-exam-computer-removal to skip removal of all computer accounts from the exam groups of all schools. Otherwise it will be done by default.

* ce8decc0b6c3ebc75140284d4c931e009db3e094
* 10ec2fa1bf1cd7635489865c5b8797b9f7808f43
* cada98b151b582963cfdef0dfb63bbf46ff0146c

Package: ucs-school-umc-exam
Version: 7.0.4-14A~4.2.0.201709131826
Branch: ucs_4.2-0
Scope: ucs-school-4.2
Comment 3 Daniel Tröder univentionstaff 2017-09-18 10:59:16 CEST
Reopened to check, if finish() does or doesn't always remove computer accounts.
Comment 4 Daniel Tröder univentionstaff 2017-09-27 14:50:50 CEST
(In reply to Daniel Tröder from comment #3)
> Reopened to check, if finish() does or doesn't always remove computer
> accounts.
The UMC command unset_computerroom_exammode / finish_exam() does remove the computer objects from the exam group as long as it knows the room it was conducted in.

The information that an exam took place is stored in a file. If that file was somehow corrupted or deleted, the information would be lost.

Only in the case that this information was lost, would the the added cleanup function actually do something the unset_computerroom_exammode would not have already done.
So IMHO it does make sense to include it, because the whole point of this script is to handle "something that shouldn't be".
Comment 5 Florian Best univentionstaff 2017-10-05 16:45:08 CEST
Please have a look at the code comments:
https://git.knut.univention.de/univention/ucsschool/commit/d5e8aaf4894c531c9cd0b4018ae16b605e7abd9d
Comment 6 Daniel Tröder univentionstaff 2017-10-09 10:28:33 CEST
437f77e5: initialize udm module only once

ucs-school-umc-exam 7.0.4-17A~4.2.0.201710091026
Comment 7 Florian Best univentionstaff 2017-10-09 12:34:07 CEST
OK: Looks good now. The hosts are removed from the exam group afterwards.
OK: YAML
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2017-10-16 21:32:07 CEST
UCS@school 4.2 v4 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.2v4-de.html

If this error occurs again, please clone this bug.